Bug 814411 - RFE: Add list of default groups in user preferences.
RFE: Add list of default groups in user preferences.
Status: NEW
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.8
All Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: beaker-dev-list
GroupModel
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 15:56 EDT by Mike Gahagan
Modified: 2015-09-13 22:03 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Gahagan 2012-04-19 15:56:02 EDT
Description of problem:

As of now, a user who is a member of multiple system groups has to explicitly exclude a group in their job xml to prevent machines in said group from picking up the job. This leads to a tedious and error prone process of having to manually edit the job xml and exclude the unwanted groups before submitting the job. 

I would like to propose that we add a default groups list as one of the user preferences. If a job xml does not include any group specification then only the systems in the user's default groups will be used to run the job. By default we can include all the groups the user is a member of so that users who have no need for this feature can continue to work as they do today.

Example:

Alice has some jobs she wants to run on every RHEL 9.x tree as it lands. It makes no difference to her which systems run those jobs so there are no group specifications in any of her xml files.

Alice then goes on vacation for a month and her testing responsibilities transition to Bob during that time. Bob however is a member of the sooper-sekrit-hardware group which consists of 10 very rare prototype systems. Bob would like to save those systems for testing specific to that hardware and they are not for general use. 

Bob currently has to modify all of Alice's xml files to exclude that group that he is in. It would be much easier for him to be able to exclude that group by default and only have jobs run on systems in that group if he specifies either a hostname in that group or the group itself in the job xml. 

 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nick Coghlan 2013-04-16 05:26:12 EDT
This "Use only when explicitly requested" behaviour should be considered as a possible element in the System Pools feature planned for Beaker 1.1 (see http://beaker-project.org/dev/proposals/system-pools.html)
Comment 3 Evan McNabb 2014-12-12 13:29:55 EST
Hi Nick, any update on this potential feature?
Comment 4 Nick Coghlan 2015-01-27 04:58:31 EST
Hi Evan, sorry for the delayed reply. There unfortunately aren't any near term changes planned in this area - marking systems as "Prototype" so they're automatically excluded by the default "Machine" filter remains the best option for ensuring they're only selected when you intended to use them. Another alternative these days, if only addressing them by name is an acceptable limitation, is to put them in Manual mode and only access them via forced identity-based scheduling rather than the regular host filtering mechanism.

Note You need to log in before you can comment on or make changes to this bug.